package com.bwie.auth.feign;

import com.bwie.auth.factory.UserFeginFactory;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "bwie-user",fallbackFactory = UserFeginFactory.class)
public interface UserRemoteService {

    @PostMapping("/user/selUser")
    public Result<User> selUser(@RequestBody User user);
}
