package com.bwie.house.service;

import com.bwie.common.domain.Cycle;
import com.bwie.common.domain.House;
import com.bwie.common.domain.Loan;
import com.bwie.common.domain.request.HouseReq;
import com.bwie.common.domain.request.OtherCycle;
import com.bwie.common.domain.response.LoanDTO;
import com.bwie.common.domain.vo.LoanVo;


import java.math.BigDecimal;
import java.util.List;

public interface HouseService {
    List<House> selHouse(HouseReq req);

    House selHouseById(Integer houseId);

    List<Cycle>  selCycleList();

    BigDecimal selHouseRealMoney(OtherCycle otherCycle);


    BigDecimal selHouseAfterMoney(OtherCycle otherCycle);


    Integer insertLoan(LoanDTO loanDTO);

    List<LoanVo> selLoanList();


}
